Bug 1161086 - GCC 10: ceph build fails
GCC 10: ceph build fails
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Nathan Cutler
E-mail List
:
Depends on:
Blocks: 1157217
  Show dependency treegraph
 
Reported: 2020-01-16 12:48 UTC by Martin Liška
Modified: 2021-07-19 10:58 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2020-01-16 12:48:08 UTC
The build fails here:
https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:Gcc7/ceph/standard/x86_64

due to:
[ 2568s] In file included from /home/abuild/rpmbuild/BUILD/ceph-15.0.0-7456-ge089cead79/src/common/bit_str.cc:14:
[ 2568s] /home/abuild/rpmbuild/BUILD/ceph-15.0.0-7456-ge089cead79/src/common/bit_str.h:23:13: error: variable or field 'print_bit_str' declared void
[ 2568s]    23 | extern void print_bit_str(
[ 2568s]       |             ^~~~~~~~~~~~~
[ 2568s] /home/abuild/rpmbuild/BUILD/ceph-15.0.0-7456-ge089cead79/src/common/bit_str.h:24:5: error: 'uint64_t' was not declared in this scope; did you mean 'u_int64_t'?
[ 2568s]    24 |     uint64_t bits,
[ 2568s]       |     ^~~~~~~~
[ 2568s]       |     u_int64_t
[ 2568s] /home/abuild/rpmbuild/BUILD/ceph-15.0.0-7456-ge089cead79/src/common/bit_str.h:25:10: error: 'ostream' is not a member of 'std'
[ 2568s]    25 |     std::ostream &out,
[ 2568s]       |          ^~~~~~~
[ 2568s] /home/abuild/rpmbuild/BUILD/ceph-15.0.0-7456-ge089cead79/src/common/bit_str.h:18:1: note: 'std::ostream' is defined in header '<ostream>'; did you forget to '#include <ostream>'?
[ 2568s]    17 | #include <functional>
[ 2568s]   +++ |+#include <ostream>
[ 2568s]    18 | 
[ 2568s] /home/abuild/rpmbuild/BUILD/ceph-15.0.0-7456-ge089cead79/src/common/bit_str.h:25:19: error: 'out' was not declared in this scope
[ 2568s]    25 |     std::ostream &out,
[ 2568s]       |                   ^~~
[ 2568s] /home/abuild/rpmbuild/BUILD/ceph-15.0.0-7456-ge089cead79/src/common/bit_str.h:26:5: error: expected primary-expression before 'const'
[ 2568s]    26 |     const std::function<const char*(uint64_t)> &func,
[ 2568s]       |     ^~~~~
Comment 1 Nathan Cutler 2020-01-20 12:28:40 UTC
Note: the version of ceph in openSUSE:Factory is pretty old. Right now I am working on fixing/silencing the RPMLINT warnings. Once I finish with that, I will submit an update to the latest upstream master version, and _theoretically_ that should resolve this bug.
Comment 2 Nathan Cutler 2020-01-21 15:17:27 UTC
@Martin, could you try to build filesystems:ceph:octopus/ceph with GCC10?

It has the latest upstream code.
Comment 3 Nathan Cutler 2020-01-21 15:18:43 UTC
Also, might be relevant: https://tracker.ceph.com/issues/43451
Comment 4 Martin Liška 2020-01-22 09:30:51 UTC
(In reply to Nathan Cutler from comment #2)
> @Martin, could you try to build filesystems:ceph:octopus/ceph with GCC10?
> 
> It has the latest upstream code.

I can confirm the latest GCC 10 snapshot can build the package.
Comment 5 Nathan Cutler 2020-02-25 13:33:29 UTC
The fix for this issue is part of the larger Factory SR:

https://build.opensuse.org/request/show/779070
Comment 7 Martin Liška 2020-03-10 08:34:29 UTC
Anyway, fixed in devel project.
Comment 8 Nathan Cutler 2020-03-16 22:54:43 UTC
(In reply to Martin Liška from comment #7)
> Anyway, fixed in devel project.

And in Factory itself by https://build.opensuse.org/request/show/781636